Bug 210261

Summary: (MAINTAINER)(PATCH) multimedia/zoneminder unbreak under 11-a3
Product: Ports & Packages Reporter: Ivan <bsd>
Component: Individual Port(s)Assignee: Olivier Cochard <olivier>
Status: Closed FIXED    
Severity: Affects Some People CC: olivier
Priority: ---    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
patch
bsd: maintainer-approval+
patch2
bsd: maintainer-approval+
patch3 none

Description Ivan 2016-06-13 20:16:28 UTC
Created attachment 171398 [details]
patch

This will allow ZM to build under CURRENT.
Tested in poudriere against 11amd64, 10amd64,  10i386
Comment 1 Ivan 2016-06-13 20:24:26 UTC
Created attachment 171399 [details]
patch2
Comment 2 Olivier Cochard freebsd_committer 2016-06-14 17:31:26 UTC
I meet a problem trying to build this patched port on FreeBSD 9.3 i386 (it build on head-amd64).
My failed poudriere testport log is here:
http://dev.bsdrp.net/poudriere/93i386-default/zoneminder-1.30.0.log

Can you check if it build on your side ?
Comment 3 Ivan 2016-06-14 17:38:22 UTC
ZM not compiles under 93i386 yet, this patch doesn't affect it in any way. I hope to fix it as well.
Comment 4 Olivier Cochard freebsd_committer 2016-06-14 21:53:01 UTC
Then can you add some:
BROKEN_FreeBSD_9_i386= does not build on i386 FreeBSD 9.x

to the makefile ?
Comment 5 Ivan 2016-06-15 17:34:40 UTC
Created attachment 171465 [details]
patch3

compiles under 93-i386
Comment 6 Olivier Cochard freebsd_committer 2016-06-15 19:38:22 UTC
With this new patch it works on 9.3-i386 and head-amd64.

But I've just notice 2 problems I didn't see before:

First, the Makefile needs this line for announcing it's a new "port only but not sofware" version:
PORTREVISION=1

Second, "poudriere testport" generate these warning : 

====> Running Q/A tests (stage-qa)
Error: /usr/local/bin/zma is linked to /usr/local/lib/libcurl.so.4 from ftp/curl but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libcurl.so:ftp/curl
Error: /usr/local/bin/zma is linked to /usr/local/lib/libgnutls.so.30 from security/gnutls but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libgnutls.so:security/gnutls


Do you think these warning are false alarm or true warning ?
Comment 7 Ivan 2016-06-15 19:57:04 UTC
1. It's a not the new port either. :) This patch allows it to build, so, those lucky enough who built it don't need to rebuild it and those who have the issue don't have port at all.

2. ZM use cmake with autodetection. These components are optional and untested by me. curl and gnutls are used to fetch stream from remote cameras, however there are 2 backends capable to do the same - ZM core and ffmpeg I left enabled. As I try to keep footprint as small as possible, I don't enable it. poudriere fetched it for deps as it uses default flags, so they are silently linked.
Conclusion is: falsa alarm until someone will ask for these backends.
Comment 8 Ivan 2016-06-18 15:43:07 UTC
Olivier, can you commit it ?
Comment 9 Olivier Cochard freebsd_committer 2016-06-18 18:19:23 UTC
I've "pre-commit" it 15th June:
https://reviews.freebsd.org/D6854

But It need to be accepted by my mentors before to be accepted: When a newbie like me take care of a patch, there is little latency (mentor review) before to be committed.
Comment 10 Ivan 2016-06-18 21:51:18 UTC
No problem, just to be sure that this one is not forgotten - pkg-fallout hammering my email with build failures :)
Comment 11 commit-hook freebsd_committer 2016-06-20 08:07:19 UTC
A commit references this bug:

Author: olivier
Date: Mon Jun 20 08:06:47 UTC 2016
New revision: 417142
URL: https://svnweb.freebsd.org/changeset/ports/417142

Log:
  Fix multimedia/zoneminder build on 9.3-i386 and head-amd64

  PR:	210261
  Submitted by:	bsd@abinet.ru
  Approved by:	jadawin
  Differential Revision:	https://reviews.freebsd.org/D6854

Changes:
  head/multimedia/zoneminder/Makefile
  head/multimedia/zoneminder/files/patch-src_zm__image.cpp
Comment 12 Olivier Cochard freebsd_committer 2016-06-20 08:09:15 UTC
Thanks for your patch.